clear variables;
DirName=pwd;
eigvec=dlmread('../../vector_PCA.txt');

%%
Xlist=[0.1,0.3,0.5,0.7,0.9];

ProjNam='mu_0.1_'; Nlis=[2,59:60];
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName,'/data/',ProjNam,num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(1:3,1)=mean([Ar{1}',Ar{2}',Ar{3}']');
Fvec1std(1:3,1)=std([Ar{1}',Ar{2}',Ar{3}']');

ProjNam='mu_0.3_'; Nlis=[11:13];
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName,'/data/',ProjNam,num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(1:3,2)=mean([Ar{1}',Ar{2}',Ar{3}']');
Fvec1std(1:3,2)=std([Ar{1}',Ar{2}',Ar{3}']');

ProjNam='mu_0.5_'; Nlis=[1,3:4];
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName,'/data/',ProjNam,num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(1:3,3)=mean([Ar{1}',Ar{2}',Ar{3}']');
Fvec1std(1:3,3)=std([Ar{1}',Ar{2}',Ar{3}']');

ProjNam='mu_0.7_'; Nlis=[5,7:8];
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName,'/data/',ProjNam,num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(1:3,4)=mean([Ar{1}',Ar{2}',Ar{3}']');
Fvec1std(1:3,4)=std([Ar{1}',Ar{2}',Ar{3}']');

ProjNam='mu_0.9_'; Nlis=[6,9:10];
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName,'/data/',ProjNam,num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(1:3,5)=mean([Ar{1}',Ar{2}',Ar{3}']');
Fvec1std(1:3,5)=std([Ar{1}',Ar{2}',Ar{3}']');

%%
figure,
subplot(2,1,1);
plot(Xlist,Fvec1(1,:),'o--','LineWidth',1,'Color',[25,169,72]/255);
hold on;
plot(Xlist,Fvec1(2,:),'o--','LineWidth',1,'Color',[165,31,71]/255);
plot(Xlist,Fvec1(3,:),'o--','LineWidth',1,'Color',[236,240,39]/255);
errorbar(Xlist,Fvec1(1,:),Fvec1std(1,:),'o--','LineWidth',1,'Color',[25,169,72]/255);
errorbar(Xlist,Fvec1(2,:),Fvec1std(2,:),'o--','LineWidth',1,'Color',[165,31,71]/255);
errorbar(Xlist,Fvec1(3,:),Fvec1std(3,:),'o--','LineWidth',1,'Color',[236,240,39]/255);
hold off;
xlim([0,1]); ylim([-1.5e5 5e4]);
set(gca,'FontSize',17);
fig = gcf;
fig.Color = 'white';
fig.InvertHardcopy = 'off';
F=getframe(gcf);
imwrite(uint8(F.cdata),[DirName,'/Fig2j.png'],'png');
saveas(gcf,[DirName,'/Fig2j'],'epsc');
